#version 330
uniform sampler2D colorTexture;
uniform vec2 blurDirection;
uniform float size;
in vec2 fragUV;
out vec4 fragColor;
void main(){

float weight=1.0/5;

fragColor=texture(colorTexture,fragUV)*weight+texture(colorTexture,(fragUV+3*blurDirection/(2*size)))*weight+texture(colorTexture,(fragUV-3*blurDirection/(2*size)))*weight +texture(colorTexture,(fragUV+5*blurDirection/(2*size)))*weight+texture(colorTexture,(fragUV-5*blurDirection/(2*size)))*weight; 
}