#version 330

in vec3 position;
uniform mat4 modelMatrix;
uniform mat4 cameraMatrix;
uniform mat4 inverseProjection;
uniform sampler2D shadowTexture;
out vec4 vertPosition;

void main(){
//Flimmern verschwindet zum Groteil mit dem 0.00005, lsst dafr aber Spalt...
	vec4 initialPosition=vec4(position.x,position.z,texture(shadowTexture,vec2(position.x,position.z)).r-0.00005,1.0);
	vertPosition=inverseProjection*initialPosition;
	gl_Position =   cameraMatrix* modelMatrix*inverseProjection*initialPosition;
	  
}