#version 330

uniform mat4 lightprojectionMatrix;
uniform mat4 modelMatrix;
in vec4 boneWeight;
in ivec4 boneId;
uniform mat4 boneMatrices[26];
layout(location=0) in vec3 position;
void main()
{	mat4 boneCalculation = mat4(1.0);
	boneCalculation = boneMatrices[boneId.x] * boneWeight.x + boneMatrices[boneId.y] * boneWeight.y + boneMatrices[boneId.z] * boneWeight.z + boneMatrices[boneId.w] * boneWeight.w;
	gl_Position = lightprojectionMatrix * modelMatrix * boneCalculation*vec4(position,1);
}
