#version 330
#define anz 2
uniform mat4 cameraMatrix;
uniform mat4 modelMatrix;
uniform mat4 shadowprojectionMatrix[5];



in vec3 position;
in vec2 uv;
in vec3 normal;

out vec3 fragVert;
out vec3 fragNormal;
out vec2 fragUV;
out vec4 smCoord[5];


void main()
{
	fragUV = vec2(uv);
	fragNormal = normal;
	fragVert = position;  

	
	smCoord[0]=shadowprojectionMatrix[0] * modelMatrix * vec4(position,1);
	smCoord[1]=shadowprojectionMatrix[1] * modelMatrix * vec4(position,1);
		smCoord[2]=shadowprojectionMatrix[2] * modelMatrix * vec4(position,1);
	smCoord[3]=shadowprojectionMatrix[3] * modelMatrix * vec4(position,1);
	smCoord[4]=shadowprojectionMatrix[4] * modelMatrix * vec4(position,1);
	gl_Position = cameraMatrix * modelMatrix * vec4(position,1);
}
