#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;
out vec3 worldNormal;
out vec2 fUVs;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;

void main()
{
	fUVs = uv;
	worldNormal = (modelMatrix * vec4(normal,0)).xyz;
	gl_Position = projectionMatrix * modelMatrix * vec4(position,1);
}