#version 330

in vec2 fragmentUV;


out vec4 fragColor;

uniform sampler2D colorTexture;
uniform sampler2D preprocessTexture;

void main() {
	
	vec3 textureColor = texture(colorTexture, fragmentUV).rgb;
	vec3 textureColor2 = texture(preprocessTexture, fragmentUV).rgb;

	fragColor = vec4((textureColor+textureColor2), 1.0);
	
}
	