#version 330

uniform mat4 modelMatrix;
uniform sampler2D colorTexture;

in vec2 fragUV;
in vec3 fragNormal;
in vec3 fragVert;

out vec4 fragColor;

void main()
{
	
	vec3 color = texture(colorTexture, fragUV).rgb;	
	fragColor = vec4(color, 1.0);
}